
//*           ŧiҨϥΪtJ
//***********************************************************
#include <p18cxxx.h>
#include <delays.h>
#include <stdlib.h>
#include <string.h>
#include <timers.h>
#include <i2c.h>
#include <adc.h>


//*           ƭ쫬ŧi
//***********************************************************

// Declaration file for Main.c related subroutines 
void LCD_Temp_Update(void) ;
void isr_low(void);
void isr_low_direct(void);

// Declaration file for Init_MCU.c related subroutines 

void	InitializePORT(void) ;
void	InitializeTMR1(void) ;
void	InitializeINTs(void) ;
void	InitializeAD(void) ;
void	Initialize_I2C_Master(void);

// Declaration file for WAP_LCD.c related subroutines 

void	OpenLCD (void) ;
void	WriteCmdLCD ( unsigned char ) ;
void	WriteDataLCD( unsigned char ) ;
void 	putsLCD( char * ) ;
void	putrsLCD( const rom char * ) ;
void	putcLCD( unsigned char ) ;
void	puthexLCD( unsigned char ) ;
void	LCD_Set_Cursor( unsigned char , unsigned char ) ;
void	LCD_CMD_W_Timing( void ) ;
void	LCD_L_Delay( void ) ;
void	LCD_S_Delay( void ) ;
void	LCD_DAT_W_Timing ( void ) ;

// Declaration file for Read_Temp.c related subroutines 

unsigned 	Read_TC74_Temperature(void) ;
int			Read_TC1047_Temperature( void);
